Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1097248 - cfitsio make check failure on ppc64le archi
Summary: cfitsio make check failure on ppc64le archi
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: cfitsio
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Sergio Pascual
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F-ExcludeArch-ppc64le, PPC64LETracker
TreeView+ depends on / blocked
 
Reported: 2014-05-13 12:37 UTC by Michel Normand
Modified: 2014-05-15 15:01 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-05-15 15:01:22 UTC


Attachments (Terms of Use)
cfitsio-ppc64le_support.patch (deleted)
2014-05-13 12:37 UTC, Michel Normand
no flags Details
testprog.lis reported log (deleted)
2014-05-13 12:38 UTC, Michel Normand
no flags Details
cfitsio-ppc64le_support.patch (deleted)
2014-05-14 12:48 UTC, Michel Normand
no flags Details | Diff

Description Michel Normand 2014-05-13 12:37:24 UTC
Created attachment 895119 [details]
cfitsio-ppc64le_support.patch

Description of problem: cfitsio make check failure on ppc64le archi

The attached patch is a first step but is not sufficient.
Refer to the second attachment about still pending error.

Version-Release number of selected component (if applicable):
cfitsio-3.360-2.fc21

How reproducible:


Steps to Reproduce:
1. fedpkg clone -a cfitsio
2. fedpkg mockbuild

Actual results:
extract of testprog.lis log file 
===
Normally, there should be 8 error messages on the stack
all regarding 'numerical overflows':
 Numerical overflow during type conversion while writing FITS data.
 Numerical overflow during type conversion while writing FITS data.
 Numerical overflow during type conversion while writing FITS data.
 Numerical overflow during type conversion while writing FITS data.
 Numerical overflow during type conversion while writing FITS data.
 Numerical overflow during type conversion while writing FITS data.

WARNING: Did not find the expected 8 error messages!
===

Comment 1 Michel Normand 2014-05-13 12:38:35 UTC
Created attachment 895120 [details]
testprog.lis reported log

Comment 2 Michel Normand 2014-05-13 13:01:58 UTC
Sergio, let me know what I should do to continue the investigation.

Comment 3 Michel Normand 2014-05-14 12:43:43 UTC
Comment on attachment 895120 [details]
testprog.lis reported log

make this attachment obsolete after investigation completed.

Comment 4 Michel Normand 2014-05-14 12:44:49 UTC
Comment on attachment 895119 [details]
cfitsio-ppc64le_support.patch

first patch is obsoleted by a new one

Comment 5 Michel Normand 2014-05-14 12:48:19 UTC
Created attachment 895477 [details]
cfitsio-ppc64le_support.patch

cfitsio-ppc64le_support.patch is sufficient to have cfitsio to build on ppc64le archi and make check to complete with no error.

Comment 6 Michel Normand 2014-05-15 12:54:01 UTC
This bug is also a blocker to be able to make check pyfits component.

Comment 7 Sergio Pascual 2014-05-15 15:01:22 UTC
I have built cfitsio with this patch in Rawhide

http://koji.fedoraproject.org/koji/taskinfo?taskID=6852322


Note You need to log in before you can comment on or make changes to this bug.